<ion-content>
  <div class="container header">
    <img src="assets/icon/arrow.svg" (click)="arrowBack()">
    <div class="title">
      <div class="container-flex">
        <h1 class="item flex-grow-item">La ferme d'Ailleurs</h1>
        <img [src]="displayedImage" class="item icon"  (click)="displayImage(variant)">
      </div>
    </div>
    <hr>
  </div>
  <div class="container flex">
    <div class="container-flex info-container">
      <div class="item">
        <p class="big-text">Ecublens – Vaud</p>
        <a href="/marketplace-farms"><p class=" link big-link">Voir sur la carte</p></a>
      </div>
      <div class="item">
        <p class="big-text"></p>
        <p class="big-text align-right">A 3 km</p>
      </div>
    </div>
  </div>

  <div class="container color-bg md-space">
    <p class="big-text">La ferme d’Ailleurs, au coeur d’Ecublens, offre exclusivement des variétés de pommes ainsi que des produits transformés à base de pomme. Livraison à domicile possible, nous vous accueillons aussi sur place.</p>
  </div>

  <div class="container flex img-gallery md-space">
    <div class="container-flex">
      <div class="item img-container">
        <img src="assets/img/ferme4.jpg" class="img">
      </div>
      <div class="item">
        <div class="container-flex flex-column">
          <div class="item img-container">
            <img src="assets/img/ferme1.jpg" class="img">
          </div>
          <div class="item img-container">
            <img src="assets/img/ferme2.jpg" class="img">
          </div>
        </div>
      </div>
    </div>
    <p class="mini-text md-space">Serres, pépinières et exploitations de floriculture</p>
    <hr>
  </div>
  <div class="container flex chips-scroll lg-space">
    <div class="flex-scroll">
      
      <a href="/research-filters"><img src="assets/icon/filters.svg" class="filters-icon scroll-item"></a>

      <div class="info-chip scroll-item container-flex sm-space">
        <p class="small-text">Afficher tous les produits</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>
      
      <div class="info-chip scroll-item container-flex sm-space inactive">
        <p class="small-text">Légumes</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>
      <div class="info-chip scroll-item container-flex sm-space inactive">
        <p class="small-text">Fruits</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>
    </div>
  </div>

  <div class="products min-height"  *ngIf="data">
    <div class="container flex lg-space">
      <h2><strong>{{count}}</strong> Produits</h2>
      <div class="container-flex">
        <div class="item ">
          <img src="assets/img/add-pic.svg" alt="ajouter un produit" class="img">
        </div>

        <div *ngFor="let product of products" class="item">
          <div class="img-container">
            <img src="assets/img/pommes.jpg" class="img">
          </div>
          <div class="stock-status">
            <div class="label mini-text">{{product.farm.name}}</div>
          </div>
          <div class="label product-name">{{product.name}}</div>
          <div class="container-flex label type-price">
            <div class="item mini-text">{{product.unity}}</div>
            <div class="item small-text"><strong>{{product.price}} CHF</strong></div>
          </div>
        </div>
      </div>
    </div>
  </div>

    <!-- Skeleton screen -->
  <div *ngIf="!data" class="skeleton container flex lg-space ">
    <ion-list>
      <ion-label>
        <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
      </ion-label>

      <div class="container-flex sm-space">
        <ion-item lines="none" class="item" style="height: 145px">
          <ion-thumbnail class="skeleton-item" slot="start">
            <ion-skeleton-text animated></ion-skeleton-text>
          </ion-thumbnail>
        </ion-item>
        <ion-item lines="none" class="item">
          <ion-thumbnail class="skeleton-item" slot="start">
            <ion-skeleton-text animated></ion-skeleton-text>
          </ion-thumbnail>
        </ion-item>
      </div>
      <div class="container-flex sm-space">
        <ion-item lines="none" class="item">
          <ion-thumbnail class="skeleton-item" slot="start">
            <ion-skeleton-text animated></ion-skeleton-text>
          </ion-thumbnail>
        </ion-item>
        <ion-item lines="none" class="item">
          <ion-thumbnail class="skeleton-item" slot="start">
            <ion-skeleton-text animated></ion-skeleton-text>
          </ion-thumbnail>
        </ion-item>
      </div>
      <div class="container-flex sm-space">
        <ion-item lines="none" class="item">
          <ion-thumbnail class="skeleton-item" slot="start">
            <ion-skeleton-text animated></ion-skeleton-text>
          </ion-thumbnail>
        </ion-item>
        <ion-item lines="none" class="item">
          <ion-thumbnail class="skeleton-item" slot="start">
            <ion-skeleton-text animated></ion-skeleton-text>
          </ion-thumbnail>
        </ion-item>
      </div>
    </ion-list>
  </div>


  
  <div class="footer">
    <ion-tabs>
      <ion-tab-bar slot="bottom" position="sticky">
        <ion-tab-button tab="home">
          <ion-icon name="home" class="tab-inactive"></ion-icon>
          <ion-label>Home</ion-label>
        </ion-tab-button>
        <a href="/marketplace-products" class="menu-link">
        <ion-tab-button>
          <ion-icon name="nutrition" class="icon-active"></ion-icon>
          <ion-label class="label-active">Marché</ion-label>
        </ion-tab-button>
        </a>
        <a href="/panier" class="menu-link">
          <ion-tab-button>
            <ion-icon name="cart" class="tab-inactive"></ion-icon>
            <ion-label>Panier</ion-label>
            <ion-badge color="danger">0</ion-badge>
          </ion-tab-button>
        </a>
        <a href="/profil-consommateur" class="menu-link">
          <ion-tab-button>
            <ion-icon name="person" class="tab-inactive"></ion-icon>
            <ion-label>Profil</ion-label>
          </ion-tab-button>
        </a>
      </ion-tab-bar>
    </ion-tabs>
  </div>


</ion-content>
